<?php

$form_fields = array($this->html->legend( '', 'Mandatory Fields from Checkout' ));
$form_fields[] = $this->html->p( '', 'Untick to make fields below optional.' );

foreach ($mandatory as $key => $checked ) {
	if ( $key == 'signup' ) continue;
	$label = ucwords( str_replace( '_', ' ', $key ) );

        $form_fields[] = $this->html->formField( "{$label}: ", $this->html->input( "id:checkout_{$key},type:checkbox,name:checkout[mandatory][{$key}],value:1,checked:{$checked}" ) );
}

$fieldset1 = $this->html->fieldset( '', $form_fields );

$fieldset2 = $this->html->fieldset( '', Array( 
        	$this->html->legend( '', 'Mandatory Signup' ),
		$this->html->p( '', "Require customers to sign up to your site before they can make a purchase." ),
		$this->html->formField( "Force Signup: ", $this->html->input( "id:checkout_signup,type:checkbox,name:checkout[mandatory][signup],value:1,checked:{$mandatory['signup']}" ) )
		)
);

$submit_button = $this->html->input( 'type:submit,name:checkout_submit,value:Update' );

echo $this->html->form( 'class:left,method:POST', Array( $fieldset1, $fieldset2, $this->getNonceField( ), $submit_button ) );
